Update Event Definitions
post
/config/sim/v2/setup/updateEventDefinitions
Updates an Event Definition.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Event Definition update request body.
Root Schema : schema
Type:
Show Source
object-
attendance:
integer
Event attendance value.Example:
150 -
endAutoTrigger:
boolean
Indicates whether the event ends automatically.Example:
true -
endDateTime(required):
string
Planned event end date/time. Must be after startDateTime. It is recommended to assign the current or a future date/time.Example:
2026-07-15T22:00:00 -
eventAreas:
array eventAreas
Event areas assigned to the Event Definition.
-
eventSubTypeObjectNum(required):
integer
Object number of the associated Event Sub Type. The Event Sub Type must belong to the selected Event Type.Example:
2 -
eventTypeObjectNum(required):
integer
Object number of the associated Event Type. The Event Type must be available to the property.Example:
1 -
externalEventId:
string
Maximum Length:
8Optional external event identifier.Example:EV1001 -
hierUnitId(required):
integer
Unique reference of the Property hierarchy unit where the Event Definition is configured.Example:
3599 -
name(required):
object name
Event Definition name in configured languages.
-
nextEventId:
integer
Next linked child Event Definition identifier. If supplied, the API links the Event Definition to the referenced existing Event Definition and synchronizes the reciprocal pointer.Example:
50124 -
objectNum(required):
integer
Object number of the Event Definition.Example:
10 -
previousEventId:
integer
Previous linked parent Event Definition identifier. If supplied, the API links the Event Definition to the referenced existing Event Definition and synchronizes the reciprocal pointer.Example:
50122 -
rvcs(required):
array rvcs
Revenue centers assigned to the Event Definition. At least one item is required.
-
shortCode(required):
string
Maximum Length:
20User-editable event short code. Must not contain the event-code delimiter |. The API generates the full eventCode value from shortCode, startDateTime, and objectNum.Example:WEDREC -
startAutoTrigger:
boolean
Indicates whether the event starts automatically.Example:
true -
startDateTime(required):
string
Planned event start date/time. Must be before endDateTime. It is recommended to assign the current or a future date/time.Example:
2026-07-15T18:00:00
Nested Schema : name
Type:
objectEvent Definition name in configured languages.
Example:
{
"1":"Wedding Reception",
"2":"Recepcion de Boda",
"3":"Reception de Mariage"
}Nested Schema : rvcs
Type:
arrayRevenue centers assigned to the Event Definition. At least one item is required.
Show Source
Nested Schema : items
Type:
Show Source
object-
eventAreaObjectNum(required):
integer
Event Area object number assigned to the Event Definition.Example:
5
Nested Schema : items
Type:
Show Source
object-
rvcId(required):
integer
Revenue Center ID assigned to the Event Definition.Example:
101
Response
Supported Media Types
- application/json
200 Response
Event Definition updated.
Root Schema : schema
Type:
Show Source
object-
eventId:
integer
Generated Event Definition identifier.Example:
50123 -
hierUnitId:
integer
Unique reference of the Property hierarchy unit where the Event Definition is configured.Example:
3599 -
objectNum:
integer
Object number of the Event Definition.Example:
10